(function() {

	tinymce.PluginManager.requireLangPack('wpformin');
	
	tinymce.create('tinymce.plugins.wpformin', {


		init : function(ed, url) {
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('mceWPForm', function() {
				ed.windowManager.open({
					file : url + '/../../../../wp-admin/admin-ajax.php?action=select_form_for_editor',
					width : 300 + parseInt(ed.getLang('highlight.delta_width', 0)),
					height : 200 + parseInt(ed.getLang('highlight.delta_height', 0)),
					inline : 1,
					popup_css : false
				}, {
					plugin_url : url
				});
			});

			// Register example button
			ed.addButton('wpformin', {
				title : ed.getLang('wpformin.button'),
				cmd : 'mceWPForm',
				image : url + '/../images/icons/editor_application_form_add.png'
			});
		},


		createControl : function(n, cm) {
			return null;
		},


		getInfo : function() {
			return {
				longname : "Wordpress Forms Shortcode",
				author : 'Vitor Carvalho',
				authorurl : 'http://lightningspirit.net/',
				infourl : 'http://wordpress.org/extend/plugins/wordpress-forms',
				version : "0.1"
			};
		}
	});
	tinymce.PluginManager.add('wpformin', tinymce.plugins.wpformin);
})();
